Package org.opensaml.xmlsec.keyinfo

# Class KeyInfoCriterion

java.lang.Object
org.opensaml.xmlsec.keyinfo.KeyInfoCriterion

All Implemented Interfaces:
  `Criterion`

public final class KeyInfoCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria based on the contents of a `KeyInfo` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`private KeyInfo`
`keyInfo`
The KeyInfo which serves as the source for credential criteria.

## Constructor Summary

Constructors
Constructor
Description
`KeyInfoCriterion(KeyInfo newKeyInfo)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`KeyInfo`
`getKeyInfo()`
Gets the KeyInfo which is the source of credential criteria.
`int`
`hashCode()`
`void`
`setKeyInfo(KeyInfo newKeyInfo)`
Sets the KeyInfo which is the source of credential criteria.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### keyInfo

@Nullable private KeyInfo keyInfo
The KeyInfo which serves as the source for credential criteria.

## Constructor Details

### KeyInfoCriterion

public KeyInfoCriterion(@Nullable KeyInfo newKeyInfo)
Constructor.

Parameters:
  `newKeyInfo` - the KeyInfo credential criteria to use

## Method Details

### getKeyInfo

@Nullable public KeyInfo getKeyInfo()
Gets the KeyInfo which is the source of credential criteria.

Returns:
  the KeyInfo credential criteria

### setKeyInfo

public void setKeyInfo(@Nullable KeyInfo newKeyInfo)
Sets the KeyInfo which is the source of credential criteria.

Parameters:
  `newKeyInfo` - the KeyInfo to use as credential criteria

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`